> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/issues.md).

# Issues

## Returns issues matching the given search criteria.

> Returns issues matching the given search criteria. Only parameters that are specified in this request and have not \<code>null\</code> values are used for filtering. All other parameters are ignored. The returned issues satisfy all constraints that are specified in this search criteria. By default a result containing 1000 issues is returned.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.view-all"]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AssetPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/AssetImpl"}}}},"AssetImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"displayName":{"type":"string","description":"The display name of the asset.  <p>  Please note that \"displayName\" corresponds to the \"Name\" in the UI."},"articulationScore":{"type":"number","description":"The articulation score for this asset.  <p>  Expresses how well this asset is articulated.  The articulation score is a percentage number ranging from 0 to 100.  The articulation rules can be configured to calculate the articulation score.  Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.","format":"double"},"excludedFromAutoHyperlinking":{"type":"boolean","description":"Whether this asset is excluded from hyperlinking or not."},"domain":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"type":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"status":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"avgRating":{"type":"number","description":"The average rating.","format":"double"},"ratingsCount":{"type":"integer","description":"The number of ratings.","format":"int32"}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/issues":{"get":{"tags":["Issues"],"summary":"Returns issues matching the given search criteria.","description":"Returns issues matching the given search criteria. Only parameters that are specified in this request and have not <code>null</code> values are used for filtering. All other parameters are ignored. The returned issues satisfy all constraints that are specified in this search criteria. By default a result containing 1000 issues is returned.","operationId":"findIssues","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}},{"name":"sortOrder","in":"query","description":"The sorting order of the results.","schema":{"type":"string","enum":["ASC","DESC"],"default":"ASC"}},{"name":"sortField","in":"query","description":"The field on which the results are sorted. Default is NAME.","schema":{"type":"string","enum":["NAME","PRIORITY","RESOLUTION","CREATED_BY"],"default":"NAME"}},{"name":"onlyOpenIssues","in":"query","description":"Whether only open issues should be returned.","schema":{"type":"boolean","default":true}},{"name":"userRelation","in":"query","description":"The relation of the user with the issues to be returned. By default all issues for the current user will be returned.","schema":{"type":"string","enum":["ALL","ASSIGNED","CREATED"],"default":"ALL"}}],"responses":{"200":{"description":"OK - The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetPagedResponse"}}}},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```

## Adds a new issue.

> Adds a new issue with the given parameters.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.manage-all"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AddIssueRequest":{"required":["description","name","typeId"],"type":"object","properties":{"responsibleCommunityId":{"type":"string","description":"The ID of the community responsible for handling the issue.","format":"uuid"},"name":{"type":"string","description":"The name of the subject for which the issue is being created."},"typeId":{"type":"string","description":"The type ID of the issue to be created.","format":"uuid"},"description":{"type":"string","description":"The description for the issue."},"priority":{"type":"string","description":"The priority for the issue."},"requesterId":{"type":"string","description":"The requester of the issue.","format":"uuid"},"relatedAssets":{"type":"array","description":"The list of assets which the issue is related to.","items":{"$ref":"#/components/schemas/RelatedAssetReference"}},"categoryIds":{"type":"array","description":"The list of IDs of assets which represent categories for this issue. Each asset in this list should be of type Issue Category.","items":{"type":"string","description":"The list of IDs of assets which represent categories for this issue. Each asset in this list should be of type Issue Category.","format":"uuid"}}}},"RelatedAssetReference":{"type":"object","properties":{"assetId":{"type":"string","description":"The ID of the asset which the issue is related to.","format":"uuid"},"relationTypeId":{"type":"string","description":"The ID of relation type for related asset.","format":"uuid"},"direction":{"type":"boolean","description":"The direction of the relation where true means the issue is the source and false means the issue is the target."}},"description":"The list of assets which the issue is related to."},"AssetImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"displayName":{"type":"string","description":"The display name of the asset.  <p>  Please note that \"displayName\" corresponds to the \"Name\" in the UI."},"articulationScore":{"type":"number","description":"The articulation score for this asset.  <p>  Expresses how well this asset is articulated.  The articulation score is a percentage number ranging from 0 to 100.  The articulation rules can be configured to calculate the articulation score.  Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.","format":"double"},"excludedFromAutoHyperlinking":{"type":"boolean","description":"Whether this asset is excluded from hyperlinking or not."},"domain":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"type":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"status":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"avgRating":{"type":"number","description":"The average rating.","format":"double"},"ratingsCount":{"type":"integer","description":"The number of ratings.","format":"int32"}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/issues":{"post":{"tags":["Issues"],"summary":"Adds a new issue.","description":"Adds a new issue with the given parameters.","operationId":"addIssue","requestBody":{"description":"The properties of the issue to be added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddIssueRequest"}}}},"responses":{"201":{"description":"Created - The request has been fulfilled and resulted in a new resource being created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetImpl"}}}},"400":{"description":"Bad Request - Request data is malformed or illegal. The request body will contain additional information."},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```

## Moves an issue to another community.

> Moves an issue to another community.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.manage-all"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AssetImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"displayName":{"type":"string","description":"The display name of the asset.  <p>  Please note that \"displayName\" corresponds to the \"Name\" in the UI."},"articulationScore":{"type":"number","description":"The articulation score for this asset.  <p>  Expresses how well this asset is articulated.  The articulation score is a percentage number ranging from 0 to 100.  The articulation rules can be configured to calculate the articulation score.  Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.","format":"double"},"excludedFromAutoHyperlinking":{"type":"boolean","description":"Whether this asset is excluded from hyperlinking or not."},"domain":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"type":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"status":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"avgRating":{"type":"number","description":"The average rating.","format":"double"},"ratingsCount":{"type":"integer","description":"The number of ratings.","format":"int32"}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/issues/{issueId}/community/{communityId}":{"patch":{"tags":["Issues"],"summary":"Moves an issue to another community.","description":"Moves an issue to another community.","operationId":"moveIssue","parameters":[{"name":"issueId","in":"path","description":"ID of the issue to be moved","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"communityId","in":"path","description":"ID of the community to move the issue to","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK - The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetImpl"}}}},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"404":{"description":"Not Found - One of the requested resources could not be found or the requested URI is invalid."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/data-governance/issues.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
